---
title: FileReader.onabort
slug: Web/API/FileReader/onabort
tags:
  - Event Handler
  - File
  - FileReader
  - Property
  - Reference
---
<p>The <strong><code>FileReader.onabort</code></strong> property contains an event handler executed when the <code><a href="/en-US/docs/Web/Events/abort">abort</a></code> event is fired, i.e. when the process of reading the file is aborted.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate">reader.onabort = function() { ... };</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileReader.onabort")}}</p>
